<ul class="taskList" *ngIf="tasks; else loading">
  <li class="taskItem"
      [class.taskItem--done]="task.done"
      *ngFor="let task of tasks">
    <div class="taskItemRow">
      <div class="taskItemContent">
        <h3 class="taskItemTitle">
          <input class="taskItemStatus" type="checkbox"
                 [checked]="task.done"
                 (change)="updateTaskStatus(task)"
                 *ngIf="!editState">
          #{{task.number}}. {{task.title}}
        </h3>
        <div class="taskItemDescription">{{task.description}}</div>
      </div>
      <div class="taskItemActions">
        <button type="button" (click)="editTask(task)"
                *ngIf="!editState && !task.done">edit</button>
        <button type="button" (click)="deleteTask(task)">delete</button>
      </div>
    </div>
    <div class="taskItemEdit" *ngIf="editState && taskToEdit.id === task.id">
      <form (ngSubmit)="updateTask(task)">
          <div class="formField">
            <input type="text" name="title"
              placeholder="edit title" [(ngModel)]="task.title">
          </div>
          <div class="formField">
              <input type="text" name="description"
                placeholder="edit description" [(ngModel)]="task.description">
          </div>
          <button>update task</button>
          <button type="button" (click)="cancelUpdatingTask()">cancel</button>
      </form>
    </div>
  </li>
</ul>

<ng-template #loading>
  <div class="loading">loading...</div>
</ng-template>
